<?php

add_action( 'admin_init', 'theme_options_init' );
add_action( 'admin_menu', 'theme_options_add_page' );

/**
 * Init plugin options to white list our options
 */
function theme_options_init(){
	register_setting( 'slidingdoor_options', 'slidingdoor_theme_options', 'theme_options_validate' );
}

/**
 * Load up the menu page
 */
function theme_options_add_page() {
	add_theme_page( __( 'SlidingDoor Options' ), __( 'SlidingDoor Options' ), 'edit_theme_options', 'theme_options', 'theme_options_do_page' );
}

/**
 * Create the options page
 */
function theme_options_do_page() {
	global $select_options, $radio_options;

	if ( ! isset( $_REQUEST['updated'] ) )
		$_REQUEST['updated'] = false;

	?>
	<div class="wrap">
		<?php screen_icon(); echo "<h2>" . get_current_theme() . __( ' Theme Options' ) . "</h2>"; ?>

 		<?php if ( false !== $_REQUEST['updated'] ) : ?>
    	<div><p><strong><?php _e( 'Options saved' ); ?></strong></p></div>
    	<?php endif; // If the form has just been submitted, this shows the notification 
    	?>

		<form method="post" action="options.php">
			<?php settings_fields( 'slidingdoor_options' ); ?>
			<?php $options = get_option( 'slidingdoor_theme_options' ); ?>

			<table class="form-table">

				

				<?php
				/**
				 * A slidingdoor text input option
				 */
				?>
				
				<tr valign="top"><th scope="row"><?php _e( 'Link for Door 1' ); ?></th>
					<td>
						<input id="slidingdoor_theme_options[link1]" class="regular-text" type="text" name="slidingdoor_theme_options[link1]" value="<?php esc_attr_e( $options['link1'] ); ?>" />
						<label class="description" for="slidingdoor_theme_options[link1]"><?php _e( 'slidingdoor text input' ); ?></label>
					</td>
				</tr>
				
						<tr valign="top"><th scope="row"><?php _e( 'Link for Door 2' ); ?></th>
					<td>
						<input id="slidingdoor_theme_options[link2]" class="regular-text" type="text" name="slidingdoor_theme_options[link2]" value="<?php esc_attr_e( $options['link2'] ); ?>" />
						<label class="description" for="slidingdoor_theme_options[link2]"><?php _e( 'slidingdoor text input' ); ?></label>
					</td>
				</tr>
				
						<tr valign="top"><th scope="row"><?php _e( 'Link for Door 3' ); ?></th>
					<td>
						<input id="slidingdoor_theme_options[link3]" class="regular-text" type="text" name="slidingdoor_theme_options[link3]" value="<?php esc_attr_e( $options['link3'] ); ?>" />
						<label class="description" for="slidingdoor_theme_options[link3]"><?php _e( 'slidingdoor text input' ); ?></label>
					</td>
				</tr>
				
						<tr valign="top"><th scope="row"><?php _e( 'Link for Door 4' ); ?></th>
					<td>
						<input id="slidingdoor_theme_options[link4]" class="regular-text" type="text" name="slidingdoor_theme_options[link4]" value="<?php esc_attr_e( $options['link4'] ); ?>" />
						<label class="description" for="slidingdoor_theme_options[link4]"><?php _e( 'slidingdoor text input' ); ?></label>
					</td>
				</tr>
				
						<tr valign="top"><th scope="row"><?php _e( 'Link for Door 5' ); ?></th>
					<td>
						<input id="slidingdoor_theme_options[link5]" class="regular-text" type="text" name="slidingdoor_theme_options[link5]" value="<?php esc_attr_e( $options['link5'] ); ?>" />
						<label class="description" for="slidingdoor_theme_options[link5]"><?php _e( 'slidingdoor text input' ); ?></label>
					</td>
				</tr>
				
						<tr valign="top"><th scope="row"><?php _e( 'Link for Door 6' ); ?></th>
					<td>
						<input id="slidingdoor_theme_options[link6]" class="regular-text" type="text" name="slidingdoor_theme_options[link6]" value="<?php esc_attr_e( $options['link6'] ); ?>" />
						<label class="description" for="slidingdoor_theme_options[link6]"><?php _e( 'slidingdoor text input' ); ?></label>
					</td>
				</tr>
				
						<tr valign="top"><th scope="row"><?php _e( 'Link for Door 7' ); ?></th>
					<td>
						<input id="slidingdoor_theme_options[link7]" class="regular-text" type="text" name="slidingdoor_theme_options[link7]" value="<?php esc_attr_e( $options['link7'] ); ?>" />
						<label class="description" for="slidingdoor_theme_options[link7]"><?php _e( 'slidingdoor text input' ); ?></label>
					</td>
				</tr>

		
			</table>

			<p class="submit">
				<input type="submit" class="button-primary" value="<?php _e( 'Save Options' ); ?>" />
			</p>
		</form>
	</div>
	<?php
}

/**
 * Sanitize and validate input. Accepts an array, return a sanitized array.
 */
function theme_options_validate( $input ) {
	global $select_options, $radio_options;

	
	// Say our text option must be safe text with no HTML tags
	$input['link1'] = wp_filter_nohtml_kses( $input['link1'] );



	return $input;
}

// adapted from http://planetozh.com/blog/2009/05/handling-plugins-options-in-wordpress-28-with-register_setting/